Subject: Re: bug#75870: 30.0.93; feature/igc: Breakpoint 1, terminate_due_to_signal (sig=sig@entry=6, backtrace_limit=backtrace_limit@entry=40) at ./src/emacs.c:432

From: Gregor Zattler <[email-masked]>
Date: Mon, 03 Feb 2025 18:34:46 +0100

Hi Pip,
* Pip Cet <[email-masked]> [2025-02-03; 16:54 GMT]:
> "Gregor Zattler" <[email-masked]> writes:
>> since this and bug#75459 were closed, I
>> build Emacs from feature/igc as of
>> today.  An Emacs frame was open for
>> quite some time because I went out to
>> have a coffee and when I came back Emacs
>> had terminated again.  While this time
>> there is no other frame in a terminal,
>> the graphical frame again is completely
>> white and does not react.
>>
>> The Emacs session is still in GDB.
>
> Thanks!  Best to leave it there for now until we're sure this bug is
> real.

This is a laptop, I might have to move
it and this probably means shuting
down, esp. since the battery isn't
great.

But till then I'll let it open.

>> In GNU Emacs 31.0.50 (build 1,
>>  x86_64-pc-linux-gnu, cairo version
>>  1.16.0) of 2025-02-03 built on no
>> Repository revision: 4fda39cb1670106eac8b912a77d03586eafc18a2
>                        ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
>
> commit 4fda39cb1670106eac8b912a77d03586eafc18a2 (HEAD, SAFE_ALLOCA)
> Author: Pip Cet <[email-masked]>
>
>     [MPS] Temporarily scan SAFE_ALLOCA'd memory (bug#75754)
>
> That commit predates the bug fix.
>
> Are you sure you've updated the repository properly?  What does "git
> rev-parse HEAD" show in the repo?

0 (feature/igc *) grfz@no:~/src/emacs-igc$ git  rev-parse HEAD
4fda39cb1670106eac8b912a77d03586eafc18a2

Upps, this is from 12 days ago.  I'm
sure I did a git fetch --all; git pull
but now I realize something is wrong
with my git worktree...

Since this was without your patch I
propose to close this bug again.

Sorry for the noise, Gregor